
/**
 * 不随系统字体变化的 Text
 */

import React, { Component } from 'react';
import {
  Text,
  Platform,
  PixelRatio,
} from 'react-native';

const fontSizeScaler = PixelRatio.get() / PixelRatio.getFontScale();

const StaticText = (props) => {
  if (Platform.OS === 'ios') {
    return <Text {...props} allowFontScaling={false} />;
  } else {
    // 安卓自己配置, 参考: 
    // http://blog.csdn.net/ahuyangdong/article/details/54427107/
    return <Text {...props} />;
  }
};

export default StaticText;
